Package org.apache.sling.api.resource

# Interface ParametrizableResourceProvider

@Deprecated @ConsumerType public interface ParametrizableResourceProvider
Deprecated.
Use the `ResourceProvider`
This extension allows resource provider implementations to support semicolon-separated parameters added to the URI, eg.: `/content/test;v='1.0'`. If a `ResourceProvider` implements this interface, the `getResource(ResourceResolver, String, Map)` method is called instead of `ResourceProvider.getResource(ResourceResolver, String)` if such parameters are available. If no map (or an empty map) is available, `ResourceProvider.getResource(ResourceResolver, String)` is called.

Since:
  2.8.0 (Sling API Bundle 2.9.0)

## Method Summary

Modifier and Type
Method
Description
`@Nullable Resource`
`getResource(@NotNull ResourceResolver resourceResolver, @NotNull String path, @NotNull Map<String,String> parameters)`
Deprecated.
Returns a resource from this resource provider or `null` if the resource provider cannot find it.

## Method Details

### getResource

@Nullable @Nullable Resource getResource(@NotNull @NotNull ResourceResolver resourceResolver, @NotNull @NotNull String path, @NotNull @NotNull Map<String,String> parameters)
Deprecated.
Returns a resource from this resource provider or `null` if the resource provider cannot find it. The path should have one of the `ResourceProvider.ROOTS` strings as its prefix. The resource provider must not return cached instances for a resource as the resource resolver will update the resource metadata of the resource at the end of the resolution process and this metadata might be different depending on the full path of resource resolution passed into the resource resolver.

Parameters:
  `resourceResolver` - The `ResourceResolver` to which the returned `Resource` is attached.
  `path` - The full path of the resource.
  `parameters` - A map of additional parameters, the map contains at least one parameter.
Returns:
  `null` If this provider does not have a resource for the path.
Throws:
  `SlingException` - may be thrown in case of any problem creating the `Resource` instance.
See Also:
  - `ResourceProvider.getResource(ResourceResolver, String)`